{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Добавить баннер</h2>
    <hr>
    <form method="post" action="" enctype= "multipart/form-data">
        <div class="form-group">
            <label for="inputdefault">Email:</label>
            <input class="form-control" id="inputdefault" type="text" name="email" value="{{ users_edit.email }}">
        </div>
        <div class="form-group">
            <label for="inputdefault">Логин:</label>
            <input class="form-control" id="inputdefault" type="text" name="login" value="{{ users_edit.login }}">
        </div>
        <hr>
        <div class="form-group">
            <label for="inputdefault">Новый пароль:</label>
            <input class="form-control" id="inputdefault" type="text" name="password" value="">
        </div>
        <div class="form-group">
            <label for="inputdefault">Подтвердить пароль:</label>
            <input class="form-control" id="inputdefault" type="text" name="password_confirm" value="">
        </div>
        <div class="form-group">
            <img  src="{{users_edit.photo}}" id="uploadPreview" style="width: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать аватар<input id="uploadImage" type="file" name="image" style="display: none;" onchange="PreviewImage();">
            </label>
        </div>

        <div class="form-group">
            <label for="comment">Имя:</label>
            <input class="form-control" id="inputdefault" type="text" name="first_name" value="{{ users_edit.firstname }}">
        </div>
        <div class="form-group">
            <label for="comment">Фамилия:</label>
            <input class="form-control" id="inputdefault" type="text" name="last_name" value="{{ users_edit.lastname }}">
        </div>
        <div class="form-group">
            <label for="inputdefault">Сайт:</label>
            <input class="form-control" id="inputdefault" type="text" name="site" value="{{ users_edit.site }}">
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <hr>
                <button type="submit" class="btn btn-primary btn-md btn-block" name="add">Редактировать</button>
            </div>
        </div>
    </form>

    <script>
        function PreviewImage() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
    </script>

{% endblock %}